## audacious 4.1

=== meson_options.txt ===
option('dbus', type: 'boolean', value: true,
       description: 'Whether DBus support is enabled')
option('qt', type: 'boolean', value: true,
       description: 'Whether Qt support is enabled')
option('gtk', type: 'boolean', value: true,
       description: 'Whether GTK support is enabled')
option('libarchive', type: 'boolean', value: false,
       description: 'Whether libarchive support is enabled')
option('buildstamp', type: 'string', value: 'unknown build',
       description: 'Allows to set a custom build stamp')
option('valgrind', type: 'boolean', value: false,
       description: 'Whether Valgrind analysis support is enabled')

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = ar.po \
	  be.po \
	  bg.po \
	  ca.po \
	  cmn.po \
	  cs.po \
	  da.po \
	  de.po \
	  el.po \
	  en_GB.po \
	  es_AR.po \
	  es_MX.po \
	  es.po \
	  et.po \
	  fi.po \
	  fr.po \
	  gl.po \
	  hu.po \
	  id_ID.po \
	  it.po \
	  ja.po \
	  ko.po \
	  lt.po \
	  lv.po \
	  ml_IN.po \
	  ms.po \
	  nl.po \
	  pl.po \
	  pt_BR.po \
	  pt_PT.po \
	  ru.po \
	  si.po \
	  sk.po \
	  sl.po \
	  sq.po \
	  sr.po \
	  sr_RS.po \
	  sv.po \
	  ta.po \
	  tr.po \
	  uk.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE_NAME).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE_NAME) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="https://redmine.audacious-media-player.org/" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --update "$$lang" $(POTTEMPLATE); done

=== src/dbus/Makefile ===
STATIC_LIB_NOINST = aud-dbus.a

SRCS = aud-dbus.c
CLEAN = aud-dbus.c aud-dbus.h

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS := -I../.. ${CPPFLAGS} ${GLIB_CFLAGS} ${GIO_CFLAGS}
LIBS := ${LIBS} ${GLIB_LIBS} ${GIO_LIBS}

pre-depend: aud-dbus.c aud-dbus.h

aud-dbus.h: aud-dbus.xml
	gdbus-codegen --interface-prefix org.atheme. --c-namespace Obj --generate-c-code aud-dbus aud-dbus.xml

aud-dbus.c: aud-dbus.h
	# nothing to do here

=== src/libaudcore/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
LIB_MAJOR = 5
LIB_MINOR = 3

SRCS = adder.cc \
       archive_reader.cc \
       art.cc \
       art-search.cc \
       audio.cc \
       audstrings.cc \
       charset.cc \
       config.cc \
       cue-cache.cc \
       drct.cc \
       effect.cc \
       equalizer.cc \
       equalizer-preset.cc \
       eventqueue.cc \
       fft.cc \
       history.cc \
       hook.cc \
       index.cc \
       inifile.cc \
       interface.cc \
       list.cc \
       logger.cc \
       mainloop.cc \
       multihash.cc \
       output.cc \
       parse.cc \
       playback.cc \
       playlist.cc \
       playlist-cache.cc \
       playlist-data.cc \
       playlist-files.cc \
       playlist-utils.cc \
       plugin-init.cc \
       plugin-load.cc \
       plugin-registry.cc \
       preferences.cc \
       probe.cc \
       probe-buffer.cc \
       ringbuf.cc \
       runtime.cc \
       scanner.cc \
       stringbuf.cc \
       strpool.cc \
       tinylock.cc \
       threads.cc \
       timer.cc \
       tuple.cc \
       tuple-compiler.cc \
       util.cc \
       vfs.cc \
       vfs_async.cc \
       vfs_local.cc \
       vis-runner.cc \
       visualization.cc

INCLUDES = archive_reader.h \
           audio.h \
           audstrings.h \
           drct.h \
           equalizer.h \
           export.h \
           hook.h \
           i18n.h \
           index.h \
           inifile.h \
           interface.h \
           list.h \
           mainloop.h \
           multihash.h \
           objects.h \
           playlist.h \
           plugin.h \
           plugins.h \
           preferences.h \
           probe.h \
           ringbuf.h \
           runtime.h \
           templates.h \
           tinylock.h \
           threads.h \
           tuple.h \
           visualizer.h \
           vfs.h \
           vfs_async.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudcore

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GMODULE_CFLAGS} \
            ${QTCORE_CFLAGS} \
            ${LIBARCHIVE_CFLAGS} \
            -DINSTALL_BINDIR=\"${bindir}\" \
            -DINSTALL_DATADIR=\"${datadir}/audacious\" \
            -DINSTALL_PLUGINDIR=\"${plugindir}\" \
            -DINSTALL_LOCALEDIR=\"${localedir}\" \
            -DINSTALL_DESKTOPFILE=\"${datarootdir}/applications/audacious.desktop\" \
            -DINSTALL_ICONFILE=\"${datarootdir}/icons/hicolor/48x48/apps/audacious.png\" \
            -DLIBAUDCORE_BUILD

CFLAGS += ${LIB_CFLAGS}

LIBS := ../libguess/libguess.a \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GMODULE_LIBS} \
        ${QTCORE_LIBS} \
        ${LIBARCHIVE_LIBS}

=== src/libaudqt/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 3

SRCS = about-qt.cc \
       art-qt.cc \
       audqt.cc \
       colorbutton.cc \
       dock.cc \
       eq-preset-qt.cc \
       equalizer-qt.cc \
       file-entry.cc \
       fileopener.cc \
       font-entry.cc \
       images.cc \
       infopopup-qt.cc \
       infowin-qt.cc \
       info-widget.cc \
       log-inspector.cc \
       menu-qt.cc \
       playlist-management.cc \
       plugin-menu-qt.cc \
       prefs-builder.cc \
       prefs-plugin.cc \
       prefs-widget-qt.cc \
       prefs-window-qt.cc \
       prefs-pluginlist-model.cc \
       queue-manager-qt.cc \
       url-opener-qt.cc \
       util-qt.cc \
       treeview.cc \
       volumebutton.cc

INCLUDES = colorbutton.h \
           dock.h \
           export.h \
           iface.h \
           info-widget.h \
           libaudqt.h \
           menu.h \
           treeview.h

CLEAN = images.cc

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudqt

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${QT_CFLAGS} \
            -DLIBAUDQT_BUILD

CFLAGS += ${LIB_CFLAGS}

LIB_LDFLAGS := -L../libaudcore $(LIB_LDFLAGS)

LIBS := -laudcore \
        ${LIBS} -lm \
        ${QT_LIBS}

images.cc: images.qrc
	${QT_BINPATH}/rcc images.qrc -o images.cc

=== debian/changelog ===
audacious (4.1-2~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12 for mx 17.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 13 May 2022 14:01:57 -0700

audacious (4.1-2) unstable; urgency=medium

  * Actually enable libarchive.
  * Refresh symbols.
  * Drop linker settings which are defaults now.
  * Fix cross builds.
  * Use dirs instead of manual mkdir.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 02 Jan 2022 14:15:25 +0100

audacious (4.1-1) unstable; urgency=medium

  * New upstream release.
  * Add new build dependency on libarchive-dev.
  * Refresh patches.
  * Refresh and sort symbols.
  * Set Rules-Requires-Root: no.
  * Instead of moving libaudcore/audio.h to multiarch, install all of
    libaudcore there.
  * Simplify the clean step.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 02 Jan 2022 12:58:45 +0100

audacious (4.0.5-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Set upstream Repository/Repository-Browse fields.

  [ Mateusz Łukasik ]
  * Merge requests for salsa:
    - Describe Qt and GTK options in audacious manpage
    - Fix some issues reported by lintian
  * d/control:
    - Bump Standards-Version to 4.6.0.
    - Bump dh version to 13.
  * Update symbols files - fix FTBFS with gcc-11. (Closes: #983974)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 13 Oct 2021 21:07:07 +0200

=== debian/control ===
Source: audacious
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Andrej Shadura <andrewsh@debian.org>,
           Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debhelper-compat (= 12),
               imagemagick,
               libarchive-dev,
               libglib2.0-dev,
               libgtk2.0-dev,
               librsvg2-bin,
               qtbase5-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.audacious-media-player.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
Vcs-Git: https://salsa.debian.org/multimedia-team/audacious.git

Package: audacious
Architecture: any
Depends: audacious-plugins (>= ${source:Upstream-Version}),
         default-dbus-session-bus | dbus-session-bus | dbus-x11,
         gtk2-engines-pixbuf,
         libaudcore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: unzip
Description: small and fast audio player which supports lots of formats
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the core player and its localization.

Package: audacious-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libaudcore5 (= ${binary:Version}),
         libaudgui5 (= ${binary:Version}),
         libaudqt2 (= ${binary:Version}),
         libaudtag3 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk2.0-dev,
         qtbase5-dev,
         ${misc:Depends}
Description: audacious development files
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the development libraries and header files
 required for developing components for audacious.
 .
 Please note that this package no longer contains libaudacious, as
 libaudacious was dropped in Audacious 1.4.

Package: libaudcore5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious core engine library
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library which provides core functionality
 of Audacious.

Package: libaudgui5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious media player (libaudgui shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudgui shared library.

Package: libaudtag3
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious media player (libaudtag shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudtag shared library.

Package: libaudqt2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious media player (libaudqt shared library)
 Audacious is a fork of beep-media-player which supports Winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package provides the libaudqt shared library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),i386)
additional_confflags := --disable-sse2
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" --enable-gtk --enable-libarchive

override_dh_installdirs:
	dh_installdirs
	convert images/audacious.png -resize 16x16 debian/audacious/usr/share/pixmaps/audacious-16.xpm
	convert images/audacious.png -resize 32x32 debian/audacious/usr/share/pixmaps/audacious-32.xpm

override_dh_auto_clean:
	-dh_auto_clean

# MX don't need no stinkin' dbgsyms
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## audacious 4.2

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
        description: 'Whether DBus support is enabled')
 option('qt', type: 'boolean', value: true,
        description: 'Whether Qt support is enabled')
+option('qt6', type: 'boolean', value: false,
+       description: 'Whether Qt 6 support is enabled')
 option('gtk', type: 'boolean', value: true,
        description: 'Whether GTK support is enabled')
 option('libarchive', type: 'boolean', value: false,

=== po/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 #   have been introduced, and then continue with 'make update-po' or
 #   'make update-pot' respectively.
 #
-LOCALES = ar.po \
+LOCALES = af.po \
+	  ar.po \
 	  be.po \
 	  bg.po \
 	  ca.po \
@@ -21,6 +22,8 @@
 	  es_MX.po \
 	  es.po \
 	  et.po \
+	  eu.po \
+	  fa_IR.po \
 	  fi.po \
 	  fr.po \
 	  gl.po \
@@ -48,6 +51,7 @@
 	  ta.po \
 	  tr.po \
 	  uk.po \
+	  uz.po \
 	  zh_CN.po \
 	  zh_TW.po

=== win32/Makefile ===
LIB_PREFIX = /C/libs

gtk+-2.24.31.tar.xz:
	wget https://ftp.gnome.org/pub/GNOME/sources/gtk+/2.24/gtk+-2.24.31.tar.xz

gtk: gtk+-2.24.31.tar.xz
	tar xf gtk+-2.24.31.tar.xz
	cd gtk+-2.24.31 && patch gdk/win32/gdkwindow-win32.c ../patches/gdkwindow-win32.c.diff
	cd gtk+-2.24.31 && patch gtk/gtkicontheme.c ../patches/gtkicontheme.c.diff
	cd gtk+-2.24.31 && patch gtk/gtkmain.c ../patches/gtkmain.c.diff
	cd gtk+-2.24.31 && patch -p1 < ../patches/gtk-parentheses.diff
	cd gtk+-2.24.31 && CFLAGS="-O2 -fcommon" ./configure --prefix=$(LIB_PREFIX)
	cd gtk+-2.24.31 && $(MAKE) && $(MAKE) install

ffmpeg-4.3.tar.xz:
	wget https://ffmpeg.org/releases/ffmpeg-4.3.tar.xz

ffmpeg: ffmpeg-4.3.tar.xz
	tar xf ffmpeg-4.3.tar.xz
	cd ffmpeg-4.3 && ./configure --prefix=$(LIB_PREFIX) --enable-shared --disable-yasm --cpu=i686
	cd ffmpeg-4.3 && $(MAKE) && $(MAKE) install

libmms-0.6.4.tar.gz:
	wget https://sourceforge.net/projects/libmms/files/libmms/0.6.4/libmms-0.6.4.tar.gz

libmms: libmms-0.6.4.tar.gz
	tar xf libmms-0.6.4.tar.gz
	cd libmms-0.6.4 && patch -p1 < ../patches/libmms-strndup.diff
	cd libmms-0.6.4 && cp /usr/share/libtool/build-aux/ltmain.sh .
	cd libmms-0.6.4 && autoreconf
	cd libmms-0.6.4 && ./configure --prefix=$(LIB_PREFIX)
	cd libmms-0.6.4 && $(MAKE) && $(MAKE) install

libbinio-1.5.tar.bz2:
	wget https://github.com/adplug/libbinio/releases/download/libbinio-1.5/libbinio-1.5.tar.bz2

libbinio: libbinio-1.5.tar.bz2
	tar xf libbinio-1.5.tar.bz2
	cd libbinio-1.5 && ./configure --prefix=$(LIB_PREFIX)
	cd libbinio-1.5 && $(MAKE) && $(MAKE) install

adplug-2.3.3.tar.bz2:
	wget https://github.com/adplug/adplug/releases/download/adplug-2.3.3/adplug-2.3.3.tar.bz2

adplug: adplug-2.3.3.tar.bz2
	tar xf adplug-2.3.3.tar.bz2
	cd adplug-2.3.3 && ./configure --prefix=$(LIB_PREFIX)
	cd adplug-2.3.3 && $(MAKE) && $(MAKE) install

libsidplayfp-2.0.5.tar.gz:
	wget https://sourceforge.net/projects/sidplay-residfp/files/libsidplayfp/2.0/libsidplayfp-2.0.5.tar.gz

libsidplayfp: libsidplayfp-2.0.5.tar.gz
	tar xf libsidplayfp-2.0.5.tar.gz
	cd libsidplayfp-2.0.5 && ./configure --prefix=$(LIB_PREFIX)
	cd libsidplayfp-2.0.5 && $(MAKE) && $(MAKE) install

libopenmpt-0.5.4+release.autotools.tar.gz:
	wget https://lib.openmpt.org/files/libopenmpt/src/libopenmpt-0.5.4+release.autotools.tar.gz

libopenmpt: libopenmpt-0.5.4+release.autotools.tar.gz
	tar xf libopenmpt-0.5.4+release.autotools.tar.gz
	cd libopenmpt-0.5.4+release.autotools && ./configure --prefix=$(LIB_PREFIX) --without-portaudiocpp --disable-openmpt123
	cd libopenmpt-0.5.4+release.autotools && $(MAKE) && $(MAKE) install

=== src/libaudgui/Makefile ===
SHARED_LIB = ${LIB_PREFIX}audgui${LIB_SUFFIX}
LIB_MAJOR = 5
LIB_MINOR = 1

SRCS = about.cc \
       confirm.cc \
       eq-preset.cc \
       equalizer.cc \
       file-opener.cc \
       images.c \
       infopopup.cc \
       infowin.cc \
       init.cc \
       jump-to-time.cc \
       jump-to-track.cc \
       jump-to-track-cache.cc \
       list.cc \
       menu.cc \
       pixbufs.cc \
       playlists.cc \
       plugin-menu.cc \
       plugin-prefs.cc \
       plugin-view.cc \
       prefs-widget.cc \
       prefs-window.cc \
       preset-browser.cc \
       queue-manager.cc \
       scaled-image.cc \
       status.cc \
       urilist.cc \
       url-opener.cc \
       util.cc

INCLUDES = libaudgui.h \
           libaudgui-gtk.h \
           list.h \
           menu.h

CLEAN = images.c images.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudgui

LD = ${CXX}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${GTK_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIB_LDFLAGS := -L../libaudcore $(LIB_LDFLAGS)

LIBS := -laudcore \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GTK_LIBS}

pre-depend: images.c images.h

images.h: images.gresource.xml
	glib-compile-resources --sourcedir=../../images --generate-header --target=images.h images.gresource.xml
images.c: images.gresource.xml
	glib-compile-resources --sourcedir=../../images --generate-source --target=images.c images.gresource.xml

=== debian/changelog ===
audacious (4.2-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the old audacious-16.xpm, and audacious-32.xpm icons, no more needed
    since the removal of the Debian menu file in 3.6.2-1
    - drop the imagemagick build dependency, as 'convert' is no more needed at
      build time

  [ Mateusz Łukasik ]
  * New upstream release.
  * Update symbols files.
  * Bump Standards-Version to 4.6.1.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 28 Oct 2022 18:14:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Andrej Shadura <andrewsh@debian.org>,
-           Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends: debhelper-compat (= 12),
-               imagemagick,
-               libarchive-dev,
-               libglib2.0-dev,
-               libgtk2.0-dev,
-               librsvg2-bin,
-               qtbase5-dev
-Standards-Version: 4.6.0
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Andrej Shadura <andrewsh@debian.org>,
+ Mateusz Łukasik <mati75@linuxmint.pl>
+Build-Depends:
+ debhelper-compat (= 13),
+ libarchive-dev,
+ libglib2.0-dev,
+ libgtk2.0-dev,
+ librsvg2-bin,
+ qtbase5-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
@@ -20,13 +20,15 @@
 
 Package: audacious
 Architecture: any
-Depends: audacious-plugins (>= ${source:Upstream-Version}),
-         default-dbus-session-bus | dbus-session-bus | dbus-x11,
-         gtk2-engines-pixbuf,
-         libaudcore5 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: unzip
+Depends:
+ audacious-plugins (>= ${source:Upstream-Version}),
+ default-dbus-session-bus | dbus-session-bus | dbus-x11,
+ gtk2-engines-pixbuf,
+ libaudcore5 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ unzip
 Description: small and fast audio player which supports lots of formats
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -51,14 +53,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libaudcore5 (= ${binary:Version}),
-         libaudgui5 (= ${binary:Version}),
-         libaudqt2 (= ${binary:Version}),
-         libaudtag3 (= ${binary:Version}),
-         libglib2.0-dev,
-         libgtk2.0-dev,
-         qtbase5-dev,
-         ${misc:Depends}
+Depends:
+ libaudcore5 (= ${binary:Version}),
+ libaudgui5 (= ${binary:Version}),
+ libaudtag3 (= ${binary:Version}),
+ libaudqt2 (= ${binary:Version}),
+ libglib2.0-dev,
+ libgtk2.0-dev,
+ qtbase5-dev,
+ ${misc:Depends}
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -87,7 +90,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious core engine library
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -113,7 +118,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious media player (libaudgui shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -138,7 +145,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious media player (libaudtag shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -163,7 +172,9 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: audacious media player (libaudqt shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH),i386)
additional_confflags := --disable-sse2
endif

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
		--with-buildstamp="$(shell dpkg-vendor --query vendor) package" --enable-gtk --enable-libarchive

override_dh_auto_clean:
	-dh_auto_clean

## audacious 4.3.1

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
        description: 'Whether Qt 6 support is enabled')
 option('gtk', type: 'boolean', value: true,
        description: 'Whether GTK support is enabled')
+option('gtk3', type: 'boolean', value: false,
+       description: 'Whether GTK3 support is enabled')
 option('libarchive', type: 'boolean', value: false,
        description: 'Whether libarchive support is enabled')
 option('buildstamp', type: 'string', value: 'unknown build',

=== po/Makefile ===
--- 
+++ 
@@ -40,6 +40,7 @@
 	  pl.po \
 	  pt_BR.po \
 	  pt_PT.po \
+	  ro.po \
 	  ru.po \
 	  si.po \
 	  sk.po \

=== win32/Makefile ===
LIB_PREFIX = /C/libs

gtk+-2.24.33.tar.xz:
	wget https://ftp.gnome.org/pub/GNOME/sources/gtk+/2.24/gtk+-2.24.33.tar.xz

gtk: gtk+-2.24.33.tar.xz
	tar xf gtk+-2.24.33.tar.xz
	cd gtk+-2.24.33 && patch gdk/win32/gdkwindow-win32.c ../patches/gdkwindow-win32.c.diff
	cd gtk+-2.24.33 && CFLAGS="-O2 -fcommon" ./configure --prefix=$(LIB_PREFIX)
	cd gtk+-2.24.33 && $(MAKE) && $(MAKE) install

ffmpeg-5.1.2.tar.xz:
	wget https://ffmpeg.org/releases/ffmpeg-5.1.2.tar.xz

ffmpeg: ffmpeg-5.1.2.tar.xz
	tar xf ffmpeg-5.1.2.tar.xz
	cd ffmpeg-5.1.2 && patch -p1 < ../patches/ffmpeg-hwcontext_vulkan.c.diff
	cd ffmpeg-5.1.2 && ./configure --prefix=$(LIB_PREFIX) --enable-shared --disable-yasm --cpu=i686
	cd ffmpeg-5.1.2 && $(MAKE) && $(MAKE) install

libmms-0.6.4.tar.gz:
	wget https://sourceforge.net/projects/libmms/files/libmms/0.6.4/libmms-0.6.4.tar.gz

libmms: libmms-0.6.4.tar.gz
	tar xf libmms-0.6.4.tar.gz
	cd libmms-0.6.4 && patch -p1 < ../patches/libmms-strndup.diff
	cd libmms-0.6.4 && cp /usr/share/libtool/build-aux/ltmain.sh .
	cd libmms-0.6.4 && autoreconf
	cd libmms-0.6.4 && ./configure --prefix=$(LIB_PREFIX)
	cd libmms-0.6.4 && $(MAKE) && $(MAKE) install

libbinio-1.5.tar.bz2:
	wget https://github.com/adplug/libbinio/releases/download/libbinio-1.5/libbinio-1.5.tar.bz2

libbinio: libbinio-1.5.tar.bz2
	tar xf libbinio-1.5.tar.bz2
	cd libbinio-1.5 && ./configure --prefix=$(LIB_PREFIX)
	cd libbinio-1.5 && $(MAKE) && $(MAKE) install

adplug-2.3.3.tar.bz2:
	wget https://github.com/adplug/adplug/releases/download/adplug-2.3.3/adplug-2.3.3.tar.bz2

adplug: adplug-2.3.3.tar.bz2
	tar xf adplug-2.3.3.tar.bz2
	cd adplug-2.3.3 && ./configure --prefix=$(LIB_PREFIX)
	cd adplug-2.3.3 && $(MAKE) && $(MAKE) install

=== src/libaudcore/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
 LIB_MAJOR = 5
-LIB_MINOR = 3
+LIB_MINOR = 4
 
 SRCS = adder.cc \
        archive_reader.cc \

=== src/libaudgui/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 SHARED_LIB = ${LIB_PREFIX}audgui${LIB_SUFFIX}
 LIB_MAJOR = 5
-LIB_MINOR = 1
+LIB_MINOR = 2
 
 SRCS = about.cc \
        confirm.cc \
        eq-preset.cc \
        equalizer.cc \
        file-opener.cc \
+       gtk-compat.cc \
        images.c \
        infopopup.cc \
        infowin.cc \
@@ -31,7 +32,8 @@
        url-opener.cc \
        util.cc
 
-INCLUDES = libaudgui.h \
+INCLUDES = gtk-compat.h \
+           libaudgui.h \
            libaudgui-gtk.h \
            list.h \
            menu.h

=== src/libaudqt/Makefile ===
--- 
+++ 
@@ -1,11 +1,12 @@
 SHARED_LIB = ${LIB_PREFIX}audqt${LIB_SUFFIX}
 LIB_MAJOR = 2
-LIB_MINOR = 3
+LIB_MINOR = 4
 
 SRCS = about-qt.cc \
        art-qt.cc \
        audqt.cc \
        colorbutton.cc \
+       dark-theme.cc \
        dock.cc \
        eq-preset-qt.cc \
        equalizer-qt.cc \
@@ -26,6 +27,7 @@
        prefs-window-qt.cc \
        prefs-pluginlist-model.cc \
        queue-manager-qt.cc \
+       song-window-qt.cc \
        url-opener-qt.cc \
        util-qt.cc \
        treeview.cc \

=== debian/changelog ===
audacious (4.3.1-2.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:41:42 +0000

audacious (4.3.1-2.1build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:18:07 +0000

audacious (4.3.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061925

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 02:57:33 +0000

audacious (4.3.1-2) unstable; urgency=medium

  * Team upload.
  * Build against Qt6. (Closes: #1050414)

 -- Bastian Germann <bage@debian.org>  Wed, 01 Nov 2023 13:36:46 +0100

audacious (4.3.1-1) unstable; urgency=medium

  * Add libqt5x11extras5-dev to B-D. (Closes: #1036620)
  * Bump Standards-Version to 4.6.2.
  * Upload to unstable.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 31 Jul 2023 22:32:06 +0200

audacious (4.3.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use GTK3. (Closes: #967261)
  * Update symbols files.
  * Switch build method to meson.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 12 May 2023 20:46:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Andrej Shadura <andrewsh@debian.org>,
  Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
+ meson,
  libarchive-dev,
  libglib2.0-dev,
- libgtk2.0-dev,
+ libgtk-3-dev,
  librsvg2-bin,
- qtbase5-dev
-Standards-Version: 4.6.1
+ qt6-base-dev
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
@@ -23,8 +25,7 @@
 Depends:
  audacious-plugins (>= ${source:Upstream-Version}),
  default-dbus-session-bus | dbus-session-bus | dbus-x11,
- gtk2-engines-pixbuf,
- libaudcore5 (= ${binary:Version}),
+ libaudcore5t64 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Recommends:
@@ -54,13 +55,13 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libaudcore5 (= ${binary:Version}),
- libaudgui5 (= ${binary:Version}),
- libaudtag3 (= ${binary:Version}),
- libaudqt2 (= ${binary:Version}),
+ libaudcore5t64 (= ${binary:Version}),
+ libaudgui5t64 (= ${binary:Version}),
+ libaudtag3t64 (= ${binary:Version}),
+ libaudqt2t64 (= ${binary:Version}),
  libglib2.0-dev,
- libgtk2.0-dev,
- qtbase5-dev,
+ libgtk-3-dev,
+ qt6-base-dev,
  ${misc:Depends}
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
@@ -86,7 +87,10 @@
  Please note that this package no longer contains libaudacious, as
  libaudacious was dropped in Audacious 1.4.
 
-Package: libaudcore5
+Package: libaudcore5t64
+Provides: ${t64:Provides}
+Replaces: libaudcore5
+Breaks: libaudcore5 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -114,7 +118,10 @@
  This package contains a library which provides core functionality
  of Audacious.
 
-Package: libaudgui5
+Package: libaudgui5t64
+Provides: ${t64:Provides}
+Replaces: libaudgui5
+Breaks: libaudgui5 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -141,7 +148,10 @@
  .
  This package provides the libaudgui shared library.
 
-Package: libaudtag3
+Package: libaudtag3t64
+Provides: ${t64:Provides}
+Replaces: libaudtag3
+Breaks: libaudtag3 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -168,7 +178,10 @@
  .
  This package provides the libaudtag shared library.
 
-Package: libaudqt2
+Package: libaudqt2t64
+Provides: ${t64:Provides}
+Replaces: libaudqt2
+Breaks: libaudqt2 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dbuildstamp="$(shell dpkg-vendor --query vendor) package" -Dgtk3=true -Dlibarchive=true -Dqt6=true

override_dh_auto_clean:
	-dh_auto_clean

## audacious 4.4

=== src/libaudcore/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 SHARED_LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
 LIB_MAJOR = 5
-LIB_MINOR = 4
+LIB_MINOR = 5
 
 SRCS = adder.cc \
        archive_reader.cc \

=== src/libaudcore/tests/Makefile ===
all: test

SRCS = ../audio.cc \
       ../audstrings.cc \
       ../charset.cc \
       ../hook.cc \
       ../index.cc \
       ../logger.cc \
       ../mainloop.cc \
       ../multihash.cc \
       ../ringbuf.cc \
       ../stringbuf.cc \
       ../strpool.cc \
       ../tinylock.cc \
       ../threads.cc \
       ../tuple.cc \
       ../tuple-compiler.cc \
       ../util.cc \
       stubs.cc \
       test.cc \
       test-mainloop.cc

QT_DEP = Qt6Core
ifneq ($(shell pkg-config --exists ${QT_DEP} && echo 1),1)
	QT_DEP = Qt5Core
endif

FLAGS = -I.. -I../.. -DEXPORT= -DPACKAGE=\"audacious\" -DICONV_CONST= \
        $(shell pkg-config --cflags --libs glib-2.0 ${QT_DEP}) \
        -std=c++17 -Wall -g -O0 -fno-elide-constructors \
        -fprofile-arcs -ftest-coverage -pthread

test: ${SRCS}
	g++ ${SRCS} ${FLAGS} -DUSE_QT -fPIC -o test

cov: all
	rm -f *.gcda
	./test
	./test --qt
	gcov --object-directory . ${SRCS} ${MAINLOOP_SRCS}

clean:
	rm -f test *.gcno *.gcda *.gcov

=== debian/changelog ===
audacious (4.4-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Jun 2024 13:30:00 -0700

audacious (4.4-1build1~ubuntu2004) focal; urgency=medium

  * New upstream release

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 06 Jan 2021 16:07:19 +0100

audacious (4.3.1-0build2~ubuntu1804) bionic; urgency=medium

  * Rebuild with system built-in GCC library to fix dependency issue.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 06 Jan 2021 16:07:19 +0100

audacious (4.3-0build3~ubuntu2204) jammy; urgency=medium

  * New upstream release
  * Add PipeWire output plugin
  * Add native Opus decoder plugin
  * Support GTK3 again (optional, default is GTK2)
  * Support of Qt 6 is mature (optional, default is Qt 5)
  * Meson support is feature complete now and tested on all main platforms, so consider switching to this build system (Autotools is still supported though)
  * Allow copying file path in song info dialog (#1174)
  * Support Ogg FLAC audio streams (#1176)
  * Support reading embedded lyrics tags (#1192)
  * Account for album artist in Search Tool (#1193)
  * Support new song length database format in SID plugin
  * Support Publisher and Catalog Number tags
  * Add file filter to Export Playlist file dialog

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 06 Jan 2021 16:07:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,35 @@
 Source: audacious
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders:
- Andrej Shadura <andrewsh@debian.org>,
- Mateusz Łukasik <mati75@linuxmint.pl>
-Build-Depends: dpkg-dev (>= 1.22.5),
- debhelper-compat (= 13),
- meson,
- libarchive-dev,
- libglib2.0-dev,
- libgtk-3-dev,
- librsvg2-bin,
- qt6-base-dev
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
-Homepage: https://www.audacious-media-player.org/
+Uploaders: Andrej Shadura <andrewsh@debian.org>,
+           Mateusz Łukasik <mati75@linuxmint.pl>
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
+               dpkg-dev,
+               libarchive-dev,
+               libglib2.0-dev,
+               libgtk-3-dev,
+               libqt5svg5-dev,
+               librsvg2-bin,
+               meson,
+               qtbase5-dev,
+               qttools5-dev-tools
+Standards-Version: 4.5.0
+Homepage: http://www.audacious-media-player.org/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/audacious
 Vcs-Git: https://salsa.debian.org/multimedia-team/audacious.git
 
 Package: audacious
 Architecture: any
-Depends:
- audacious-plugins (>= ${source:Upstream-Version}),
- default-dbus-session-bus | dbus-session-bus | dbus-x11,
- libaudcore5t64 (= ${binary:Version}),
- ${misc:Depends},
- ${shlibs:Depends}
-Recommends:
- unzip
+Depends: audacious-plugins (>= ${source:Upstream-Version}),
+         default-dbus-session-bus | dbus-session-bus | dbus-x11,
+         libaudcore5 (= ${binary:Version}),
+         unzip,
+         ${misc:Depends},
+         ${shlibs:Depends}
+# Recommends: unzip
 Description: small and fast audio player which supports lots of formats
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -54,15 +54,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends:
- libaudcore5t64 (= ${binary:Version}),
- libaudgui5t64 (= ${binary:Version}),
- libaudtag3t64 (= ${binary:Version}),
- libaudqt2t64 (= ${binary:Version}),
- libglib2.0-dev,
- libgtk-3-dev,
- qt6-base-dev,
- ${misc:Depends}
+Depends: libaudcore5 (= ${binary:Version}),
+         libaudgui5 (= ${binary:Version}),
+         libaudqt2 (= ${binary:Version}),
+         libaudtag3 (= ${binary:Version}),
+         libglib2.0-dev,
+         libgtk-3-dev,
+         qtbase5-dev,
+         ${misc:Depends}
 Description: audacious development files
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -87,16 +86,11 @@
  Please note that this package no longer contains libaudacious, as
  libaudacious was dropped in Audacious 1.4.
 
-Package: libaudcore5t64
-Provides: ${t64:Provides}
-Replaces: libaudcore5
-Breaks: libaudcore5 (<< ${source:Version})
+Package: libaudcore5
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious core engine library
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -118,16 +112,11 @@
  This package contains a library which provides core functionality
  of Audacious.
 
-Package: libaudgui5t64
-Provides: ${t64:Provides}
-Replaces: libaudgui5
-Breaks: libaudgui5 (<< ${source:Version})
+Package: libaudgui5
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious media player (libaudgui shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -148,16 +137,11 @@
  .
  This package provides the libaudgui shared library.
 
-Package: libaudtag3t64
-Provides: ${t64:Provides}
-Replaces: libaudtag3
-Breaks: libaudtag3 (<< ${source:Version})
+Package: libaudtag3
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious media player (libaudtag shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.
@@ -178,16 +162,12 @@
  .
  This package provides the libaudtag shared library.
 
-Package: libaudqt2t64
-Provides: ${t64:Provides}
-Replaces: libaudqt2
-Breaks: libaudqt2 (<< ${source:Version})
+Package: libaudqt2
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends:
- ${misc:Depends},
- ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libaudqt5
 Description: audacious media player (libaudqt shared library)
  Audacious is a fork of beep-media-player which supports Winamp skins
  and many codecs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure \
	-- -D buildstamp="$(shell dpkg-vendor --query vendor) package" \
	-D libarchive=true \
	-D qt5=true

override_dh_auto_clean:
	-dh_auto_clean

# No dbgsym packages:
override_dh_strip:
	@echo "not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## audacious 4.4.1

=== debian/changelog ===
audacious (4.4.1-0.1~mx23+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 09 Oct 2024 12:37:08 -0700

audacious (4.4-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Jun 2024 13:30:00 -0700
